package org.jdtaus.core.container.ri.client;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class DependencyCycleExceptionBundle{ 

public static String getDependencyCycleText(final Locale locale) {
    return getMessage("dependencyCycle", locale);
}

public static MessageFormat getDependencyCycleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("dependencyCycle", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.container.ri.client.DependencyCycleException", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
